Bug 2155970 (CVE-2022-45693)

Summary: CVE-2022-45693 jettison: If the value in map is the map's self, the new new JSONObject(map) cause StackOverflowError which may lead to dos
Product: [Other] Security Response Reporter: Sandipan Roy <saroy>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abenaiss, aileenc, alazarot, anstephe, asoldano, avibelli, balejosg, bbaranow, bbuckingham, bcourt, bgeorges, bmaxwell, boliveir, brian.stansberry, btotty, cdewolf, chazlett, clement.escoffier, dandread, darran.lofthouse, dffrench, dfreiber, dkreling, dosoudil, ehelms, emingora, fjuma, fmongiar, gjospin, gmalinko, gsmet, gzaronik, hamadhan, hbraun, ibek, ivassile, iweiss, janstey, jburrell, jcantril, jnethert, jolee, jpavlik, jpoth, jrokos, jross, jschatte, jsherril, jstastny, jwon, kaycoth, kverlaen, lgao, lthon, lzap, max.andersen, mhulan, mizdebsk, mnovotny, mokumar, mosmerov, msochure, msvehla, myarboro, ngough, nmoumoul, nwallace, orabin, pcreech, pdelbell, pdrozd, peholase, periklis, pgallagh, pjindal, pmackay, probinso, pskopek, rchan, rgodfrey, rguimara, rogbas, rrajasek, rruss, rstancel, rsvoboda, sbiarozk, sdouglas, smaestri, sthorger, tcunning, tom.jenkinson, vkumar, yfang
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jettison 1.5.2 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Jettison, where it is vulnerable to a denial of service caused by a stack-based buffer overflow. By sending a specially-crafted request using the map parameter, a remote attacker can cause a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-02-02 08:25:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2156499, 2156500, 2159180, 2159181    
Bug Blocks: 2153011    

Description Sandipan Roy 2022-12-23 04:41:27 UTC
Jettison before v1.5.2 was discovered to contain a stack overflow via the map parameter. This vulnerability allows attackers to cause a Denial of Service (DoS) via a crafted string.

https://github.com/jettison-json/jettison/issues/52

Comment 7 Avinash Hanwate 2023-01-09 04:43:24 UTC
Created log4j tracking bugs for this issue:

Affects: fedora-37 [bug 2159180]

Comment 9 errata-xmlrpc 2023-01-30 17:12:14 UTC
This issue has been addressed in the following products:

  RHINT Camel-Springboot 3.14.5.P1

Via RHSA-2023:0544 https://access.redhat.com/errata/RHSA-2023:0544

Comment 10 errata-xmlrpc 2023-01-31 13:11:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2023:0553 https://access.redhat.com/errata/RHSA-2023:0553

Comment 11 errata-xmlrpc 2023-01-31 13:15:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2023:0552 https://access.redhat.com/errata/RHSA-2023:0552

Comment 12 errata-xmlrpc 2023-01-31 13:18:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 9

Via RHSA-2023:0554 https://access.redhat.com/errata/RHSA-2023:0554

Comment 13 errata-xmlrpc 2023-01-31 13:20:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2023:0556 https://access.redhat.com/errata/RHSA-2023:0556

Comment 14 Product Security DevOps Team 2023-02-02 08:25:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-45693

Comment 15 errata-xmlrpc 2023-03-01 21:44:00 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 7

Via RHSA-2023:1043 https://access.redhat.com/errata/RHSA-2023:1043

Comment 16 errata-xmlrpc 2023-03-01 21:46:29 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 8

Via RHSA-2023:1044 https://access.redhat.com/errata/RHSA-2023:1044

Comment 17 errata-xmlrpc 2023-03-01 21:48:56 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 9

Via RHSA-2023:1045 https://access.redhat.com/errata/RHSA-2023:1045

Comment 18 errata-xmlrpc 2023-03-01 21:49:53 UTC
This issue has been addressed in the following products:

  RHEL-8 based Middleware Containers

Via RHSA-2023:1047 https://access.redhat.com/errata/RHSA-2023:1047

Comment 19 errata-xmlrpc 2023-03-01 21:59:57 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2023:1049 https://access.redhat.com/errata/RHSA-2023:1049

Comment 20 errata-xmlrpc 2023-06-15 00:14:54 UTC
This issue has been addressed in the following products:

  OpenShift Developer Tools and Services for OCP 4.12

Via RHSA-2023:3610 https://access.redhat.com/errata/RHSA-2023:3610

Comment 21 errata-xmlrpc 2024-02-28 18:13:45 UTC
This issue has been addressed in the following products:

  MTA-6.2-RHEL-9
  MTA-6.2-RHEL-8

Via RHSA-2024:1027 https://access.redhat.com/errata/RHSA-2024:1027